Skip to main content
GET
/
api
/
v1
/
contacts
/
blacklisted
Get paginated list of blacklisted contacts
curl --request GET \
  --url https://{subdomain}.mihu.ai/api/v1/contacts/blacklisted \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/contacts/blacklisted"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.mihu.ai/api/v1/contacts/blacklisted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Blacklisted contacts retrieved successfully",
  "data": {
    "current_page": 1,
    "data": [
      {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "surname": "<string>",
        "email": "<string>",
        "phone_number": "<string>",
        "status": "Blacklisted",
        "blacklist": {
          "reason": "<string>",
          "is_permanent": true,
          "expires_at": "2023-11-07T05:31:56Z",
          "blacklisted_at": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "last_page": 123,
    "total": 123
  }
}
{
"success": false,
"message": "<string>",
"data": [
"<unknown>"
]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:15

Search term for name, surname, email, or phone

Response

Success

success
boolean
Example:

true

message
string
Example:

"Blacklisted contacts retrieved successfully"

data
object